using Windows.Foundation.Metadata;

using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Media.Animation;
using Microsoft.UI.Xaml.Navigation;

namespace TestProject
{
    /// <summary>
    /// 
    /// </summary>
    public sealed partial class SamplePage2 : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - SamplePage2()

        /// <summary>
        /// 
        /// </summary>
        public SamplePage2()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  ִϸ̼ غϱ - PrepareConnectedAnimation(configuration)

        /// <summary>
        ///  ִϸ̼ غϱ
        /// </summary>
        /// <param name="configuration"> ִϸ̼ </param>
        public void PrepareConnectedAnimation(ConnectedAnimationConfiguration configuration)
        {
            ConnectedAnimation animation = ConnectedAnimationService.GetForCurrentView().PrepareToAnimate("BackwardConnectedAnimation", this.targetGrid);

            if(configuration != null && ApiInformation.IsApiContractPresent("Windows.Foundation.UniversalApiContract", 7))
            {
                animation.Configuration = configuration;
            }
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region ŽǴ  óϱ - OnNavigatedTo(e)

        /// <summary>
        /// ŽǴ  óϱ
        /// </summary>
        /// <param name="e">̺Ʈ </param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            ConnectedAnimation animation = ConnectedAnimationService.GetForCurrentView().GetAnimation("ForwardConnectedAnimation");

            if(animation != null)
            {
                this.contentStackPanel.Transitions = new TransitionCollection { new EntranceThemeTransition() };

                animation.TryStart(this.targetGrid);
            }
        }

        #endregion
    }
}